import atob from './atob';
import { TCF_COOKIE_KEY } from './config';
/**
 * Extracts the cookie value from the cookie string
 */
var readCookie = function (key, cookies) {
    var re = new RegExp(key + '=([^;]+)');
    var value = re.exec(cookies);
    return value !== null ? value[1] : null;
};
var getUserConsents = function (_a) {
    var cookies = _a.cookies;
    var cookieValue = readCookie(TCF_COOKIE_KEY, cookies);
    if (cookieValue === null)
        return {};
    try {
        var purpose = JSON.parse(atob(cookieValue)).purpose;
        var consents = purpose.consents;
        return consents;
    }
    catch (e) {
        // eslint-disable-next-line no-console
        console.error(e);
        return {};
    }
};
export default function hasUserConsents(_a) {
    var requiredConsents = _a.requiredConsents, cookies = _a.cookies;
    var userConsents = getUserConsents({ cookies: cookies });
    return requiredConsents.every(function (purposeId) { return Boolean(userConsents[purposeId]); });
}
